@echo off

if exist PMF.res del PMF.res
if exist PMF.obj del PMF.obj
if exist rsrc.obj del rsrc.obj
if not exist PMF.rc goto BatEnd
\masm32\bin\rc /v PMF.rc
if not exist PMF.res goto BatEnd
\masm32\bin\cvtres /machine:ix86 PMF.res
del PMF.res
if not exist PMF.obj goto BatEnd
ren PMF.obj rsrc.obj

if not exist PMF.asm goto BatEnd
\masm32\bin\ml /c /coff PMF.asm
if errorlevel 1 goto AsmErr
if not exist PMF.obj goto BatEnd

if exist PMF.exe del PMF.exe
\masm32\bin\link /SUBSYSTEM:CONSOLE PMF.obj rsrc.obj
if errorlevel 1 goto LnkErr
del rsrc.obj
del PMF.obj
goto BatEnd

:AsmErr
del rsrc.obj
if exist PMF.obj del PMF.obj
goto BatEnd

:LnkErr
del rsrc.obj
del PMF.obj
if exist PMF.exe del PMF.exe

:BatEnd
dir PMF.*
pause
